Symfoware

Symfowareについての考察blog

Debian easy_installで「SSL: CERTIFICATE_VERIFY_FAILED」エラー

ここでインストールしたDebian 9
Debian 9 (Stretch)を最小構成でインストールしssh接続を許可する

Pythonの環境をインストールしました。


# apt-get install python
# apt-get install python-setuptools




easy_installでcythonをインストールしようとしたら、
「SSL: CERTIFICATE_VERIFY_FAILED」
というエラーが発生。


# easy_install cython
Searching for cython
Reading https://pypi.python.org/simple/cython/
Download error on https://pypi.python.org/simple/cython/: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:661) -- Some packages may not be found!
Couldn't find index page for 'cython' (maybe misspelled?)
Scanning index of all packages (this may take a while)
Reading https://pypi.python.org/simple/
Download error on https://pypi.python.org/simple/: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:661) -- Some packages may not be found!
No local packages or working download links found for cython
error: Could not find suitable distribution for Requirement.parse('cython')




FreeBSDの時にも同様のエラーが発生したので、これを参考に
FreeBSD 10.1で、easy_installのSSLエラー(CERTIFICATE_VERIFY_FAILED)
ca-certificates package


「ca-certificates」をインストールしたら、エラーが解消されました。


# apt-get install ca-certificates



関連記事

テーマ:サーバ - ジャンル:コンピュータ

  1. 2017/06/19(月) 23:04:53|
  2. Python
  3. | トラックバック:0
  4. | コメント:0
  5. | 編集
<<Debian 9(Stretch)にPostgreSQL 9.6をapt-getでインストールし、外部アクセスを許可する | ホーム | Debian 9 (Stretch)を最小構成でインストールしssh接続を許可する>>

コメント

コメントの投稿


管理者にだけ表示を許可する

トラックバック

トラックバック URL
http://symfoware.blog68.fc2.com/tb.php/1998-37847fbe
この記事にトラックバックする(FC2ブログユーザー)